## IdeDocumentationProvider IdeDocumentationProvider |

## Functions

gchar * | ide_documentation_provider_get_name ()
void | ide_documentation_provider_get_info ()
IdeDocumentationContext | ide_documentation_provider_get_context ()

## Types and Values

#define | IDE_TYPE_DOCUMENTATION_PROVIDER
struct | IdeDocumentationProviderInterface
| IdeDocumentationProvider

## Object Hierarchy

        GInterface
        ╰── IdeDocumentationProvider

## Prerequisites

IdeDocumentationProvider requires IdeObject.

## Description

## Functions

### ide_documentation_provider_get_name ()

    gchar *
    ide_documentation_provider_get_name (IdeDocumentationProvider *self);

### ide_documentation_provider_get_info ()

    void
    ide_documentation_provider_get_info (IdeDocumentationProvider *self,
                                         IdeDocumentationInfo *info);

### ide_documentation_provider_get_context ()

    IdeDocumentationContext
    ide_documentation_provider_get_context
                                   (IdeDocumentationProvider *self);

## Types and Values

### IDE_TYPE_DOCUMENTATION_PROVIDER

    #define IDE_TYPE_DOCUMENTATION_PROVIDER             (ide_documentation_provider_get_type())

### struct IdeDocumentationProviderInterface

    struct IdeDocumentationProviderInterface {
      GTypeInterface       parent_interface;

      void                    (*get_info)        (IdeDocumentationProvider    *self,
                                                  IdeDocumentationInfo        *info);
      gchar                  *(*get_name)        (IdeDocumentationProvider    *self);
      IdeDocumentationContext (*get_context)     (IdeDocumentationProvider    *self);
    };

### IdeDocumentationProvider

    typedef struct _IdeDocumentationProvider IdeDocumentationProvider;